ESG Event
Get one event
Request
Parameters
event_id*uuidUnique identifier of the event.
Example: "e7c2464e-0dc8-441a-970b-0d23eeabe3d1"fields(string (enum))[]Fields to include in the response
Values: "id", "case_id", "categories", "entity_id", "dashboard_url", "last_activity", "score", "start_date", "sub_categories", "summary", "title", "related_documents_count", "ungc_classification", "ungc_principles", "ungc_explanation", "tra...translatelanguage-code (enum)In which language to translate the results.
Default translated fields are:
title,summary.If empty,
translated_fields won't be returned.Example:
Values: "af", "afr", "afrikaans", "albanian", "am", "amh", "amharic", "ar", "ara", "arabic", "armenian", "az", "aze", "azerbaijani", "ben", "bengali", "bg", "bn", "bos", "bosnian", "bs", "bul", "bulgarian", "ca", "cat", "catalan", "chinese"...french
Response
Properties of the event
iduuidUnique identifier of the event.
Example: "e7c2464e-0dc8-441a-970b-0d23eeabe3d1"case_iduuidID of the case associated with the event.
Example: "5eb7182b-9b55-4f7a-b3e1-49062ee7cef9"categories(string (enum))[]List of categories assigned to the event.
Values: "E", "S", "G"entity_iduuidPermanent ID of the related entity.
dashboard_urluriLink to the event in SESAMm's Dashboard.
Example: "https://dashboards.textreveal.com/event/e7c2464e-0dc8-441a-970b-0d23eeabe3d1"last_activitystringLast activity detected on the event. Correspond to the date of the newest document associated to the event.
Example: "2025-11-07T08:35:37.658Z"scoreintegerIntensity score.
Range: [1, 5]start_datestringEvent start date. Corresponds to the date of the oldest document associated to the event.
Example: "2025-10-06T04:55:21.713Z"sub_categoriesstring[]List of sub-categories assigned to the event.
Example: ["Climate Change"]summarystring | nullSummary of the event.
Example: "string"titlestringTitle of the event.
Example: "string"ungc_classificationstring | null (enum)UNGC classification of the event.
Values: "violator", "watchlist", "low risk"ungc_principles(string (enum))[]List of UNGC principles related to the event. Always null when classification is
Values: "Principle 1: Businesses should support and respect the protection of internationally proclaimed human rights.", "Principle 2: Businesses should make sure that they are not complicit in human rights abuses.", "Principle 3: Businesse...low risk.ungc_explanationstring | nullExplanation of the UNGC classification of the event.
Example: "string"translated_titlestring | nullTranslated version of
Example: "string"titlefield. Seetranslatequery parameter.translated_summarystring | nullTranslated version of
Example: "string"summaryfield. Seetranslatequery parameter.
{
"id": "e7c2464e-0dc8-441a-970b-0d23eeabe3d1",
"case_id": "5eb7182b-9b55-4f7a-b3e1-49062ee7cef9",
"categories": [
"E"
],
"entity_id": "00000000-0000-0000-0000-000000000000",
"dashboard_url": "https://dashboards.textreveal.com/event/e7c2464e-0dc8-441a-970b-0d23eeabe3d1",
"last_activity": "2025-11-07T08:35:37.658Z",
"score": 2,
"start_date": "2025-10-06T04:55:21.713Z",
"sub_categories": [
"Climate Change",
"Water Pollution"
],
"summary": "string",
"title": "string",
"related_documents_count": 43,
"ungc_classification": "violator",
"ungc_principles": [
"Principle 1: Businesses should support and respect the protection of internationally proclaimed human rights.",
"Principle 2: Businesses should make sure that they are not complicit in human rights abuses."
],
"ungc_explanation": "string",
"translated_title": "string",
"translated_summary": "string"
}Error
Bad request
message*stringError message.
Example: "The server returned an unexpected response"code*integerError code.
Example: 400reason*string (enum)Error reason.
Values: "invalid", "timeout", "offline", "unknown", "not_found", "unauthorized", "forbidden", "internal", "too_many_requests"errorsobject[]Possible error causes, like query params, headers or body.
{
"message": "The server returned an unexpected response",
"code": 400,
"reason": "invalid",
"errors": [
{
"message": "Expected number, received string",
"field": "size",
"reason": "invalid_type"
}
]
}Not authorized
message*stringExample: "Not authorized to access this resource"code*number (enum)Error code.
Values: 403reason*string (enum)Values: "forbidden"
{
"message": "Not authorized to access this resource",
"code": 403,
"reason": "forbidden"
}Not found
message*stringExample: "[record] not found."code*number (enum)Error code.
Values: 404reason*string (enum)Values: "not_found"
{
"message": "[record] not found.",
"code": 404,
"reason": "not_found"
}